QtmCalibrationData Struct Reference

QTM calibration data (fully enabled/SS3D disabled) in `cfg`. Usually all-zero on N2DSXL. More...

`#include <qtm.h>`

## Data Fields

float | centerBarrierPosition
| Neutral (center) barrier position/offset (with slit width of 6 units), when the user is facing directly facing the camera, that is to say, their eye midpoint normalized X coord in the camera's plane is 0, assuming the user's head is located at the expected viewing distance and at the expected eye-to-camera angle (as per the rest of this structure). More...
float | translationX
| Lens X coord in inner camera space? Very low value and seems to be unused.
float | translationY
| Lens Y coord in inner camera space? Very low value and seems to be unused.
float | rotationZ
| Optimal eye-to-camera angle, in radians, without accounting for lens distortion.
float | fovX
| Camera's horizontal FoV in degrees, without accounting for lens distortion.
float | viewingDistance
| Optimal viewing distance between user and top screen, assuming iod to be 62mm.

## Detailed Description

QTM calibration data (fully enabled/SS3D disabled) in `cfg`. Usually all-zero on N2DSXL.

## Field Documentation

## centerBarrierPosition

float QtmCalibrationData::centerBarrierPosition

Neutral (center) barrier position/offset (with slit width of 6 units), when the user is facing directly facing the camera, that is to say, their eye midpoint normalized X coord in the camera's plane is 0, assuming the user's head is located at the expected viewing distance and at the expected eye-to-camera angle (as per the rest of this structure).

This is expressed in terms of iod/12 units modulo iod/12 (thus, range is 0 to 11 included), with IOD (interocular distance) assumed to be 62mm.

Note
  This field is floating-point for QTM auto-adjustment purposes, however the actual barrier position in hardware is an integer.
  This is the field that System Settings lets you add -1.0 to +1.0 to.
  Moreover, this field can be directly changed through QTMS_SetCenterBarrierPosition.

The documentation for this struct was generated from the following file:

- include/3ds/services/qtm.h